%define name	qemu
%define version	0.4.1
%define release	2mdk

Summary:	QEMU x86 Emulator
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Patch0:		qemu-0.1.6-glibc23-ldscripts.patch.bz2
License:	GPL
URL:		http://fabrice.bellard.free.fr/qemu/
Group:		Emulators
BuildRequires: glibc-static-devel
ExclusiveArch:	%{ix86} ppc
#Requires:	x86-compat-libs
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
QEMU is an x86 processor emulator. Its purpose is to run x86 Linux
processes on non-x86 Linux architectures such as PowerPC or ARM. By
using dynamic translation it achieves a reasonnable speed while being
easy to port on new host CPUs. An obviously interesting x86 only
process is 'wine' (Windows emulation).

%prep
%setup -q
%patch0 -p1 -b .glibc23-ldscripts

%build
./configure --prefix=%{_prefix}
%make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 qemu $RPM_BUILD_ROOT%{_bindir}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README qemu-doc.html
%{_bindir}/qemu

%changelog

* Fri Aug 01 2003 Michael Scherer <scherer.michael@free.fr> 0.4.1-2mdk
- BuildRequires ( glibc-static-devel ) 

* Mon Jul  7 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.1-1mdk
- 0.4.1

* Tue Jun  3 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2-1mdk
- 0.2

* Sat Apr 12 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.1.6-1mdk
- 0.1.6

* Mon Mar 31 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.1.4-1mdk
- 0.1.4

* Thu Mar 27 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.1.2-1mdk
- First Mandrake Linux package
- Patch0: Fix x86 signal handler to retrieve pc from [REG_IP] slot
- Patch1: Add support for nanosecond resolution timestamps from glibc 2.3
- Patch2: Adjust ldscripts for glibc >= 2.3
- Patch3: Handle exit_group syscall as an exit
- Patch4: Add missing includes
